Subject: I know it's spring now!

From: [email-masked] (Bess Haile)
Date: Thu, 2 Mar 1995 13:42:13 GMT

It MUST be spring! Last night as I drove home in the gloom and
rain, my headlights picked up the hopping toads who seem always
to have business on the otherside of the road once it gets
dark.  I checked the garden this morning and found little round
toad holes and the first violets, sending up their horned
shaped leaves.  Columbines too are pushing up rosettes of leaf
growth and there are the tiny red tips of phlox leaves.  

Bess Haile
LOOOOOOOOOOOOOOONING for rose season in her zone 7 garden in
Upper Tidewater VA